C3P0Config (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.cfg

## Class C3P0Config

- java.lang.Object
- - com.mchange.v2.c3p0.cfg.C3P0Config

-     public final class C3P0Config
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CFG_FINDER_CLASSNAME_KEY`
    `static java.lang.String` | `DEFAULT_CONFIG_NAME`
    `static java.lang.String` | `PROPS_FILE_RSRC_PATH`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Properties` | `allCurrentProperties()`
    `static void` | `bindNamedConfigToBean(java.lang.Object bean, java.lang.String configName, boolean shouldBindUserOverridesAsString)`
    `static void` | `bindUserOverridesAsString(java.lang.Object bean, java.lang.String uoas)`
    `static void` | `bindUserOverridesToBean(java.lang.Object bean, java.lang.String configName)`
    `static java.util.Map` | `getExtensions(java.lang.String configName)`
    `static com.mchange.v2.cfg.MultiPropertiesConfig` | `getMultiPropertiesConfig()`
    `static java.lang.String` | `getPropsFileConfigProperty(java.lang.String prop)`
    `static java.util.Map` | `getUnspecifiedUserProperties(java.lang.String configName)`
    `static java.lang.String` | `getUnspecifiedUserProperty(java.lang.String propKey, java.lang.String configName)`
    `static java.util.Map` | `getUserOverrides(java.lang.String configName)`
    `static java.lang.String` | `getUserOverridesAsString(java.lang.String configName)`
    `static boolean` | `initializeBooleanPropertyVar(java.lang.String propKey, boolean dflt)`
    `static java.util.Map` | `initializeExtensions()`
    `static int` | `initializeIntPropertyVar(java.lang.String propKey, int dflt)`
    `static java.lang.String` | `initializeStringPropertyVar(java.lang.String propKey, java.lang.String dflt)`
    `static java.lang.String` | `initializeUserOverridesAsString()`
    `static void` | `refreshMainConfig()`
    `static void` | `refreshMainConfig(com.mchange.v2.cfg.MultiPropertiesConfig[] overrides, java.lang.String overridesDescription)`
    `static void` | `setMainConfig(C3P0Config protoMain)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CFG_FINDER_CLASSNAME_KEY

          public static final java.lang.String CFG_FINDER_CLASSNAME_KEY

      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIG_NAME

          public static final java.lang.String DEFAULT_CONFIG_NAME

      See Also:
        Constant Field Values

    - #### PROPS_FILE_RSRC_PATH

          public static final java.lang.String PROPS_FILE_RSRC_PATH

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### allCurrentProperties

          public static java.util.Properties allCurrentProperties()

    - #### setMainConfig

          public static void setMainConfig(C3P0Config protoMain)

    - #### refreshMainConfig

          public static void refreshMainConfig()

    - #### refreshMainConfig

          public static void refreshMainConfig(com.mchange.v2.cfg.MultiPropertiesConfig[] overrides,
                                               java.lang.String overridesDescription)

    - #### getPropsFileConfigProperty

          public static java.lang.String getPropsFileConfigProperty(java.lang.String prop)

    - #### getUnspecifiedUserProperty

          public static java.lang.String getUnspecifiedUserProperty(java.lang.String propKey,
                                                                    java.lang.String configName)

    - #### getExtensions

          public static java.util.Map getExtensions(java.lang.String configName)

    - #### getUnspecifiedUserProperties

          public static java.util.Map getUnspecifiedUserProperties(java.lang.String configName)

    - #### getUserOverrides

          public static java.util.Map getUserOverrides(java.lang.String configName)

    - #### getUserOverridesAsString

          public static java.lang.String getUserOverridesAsString(java.lang.String configName)
                                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### bindUserOverridesAsString

          public static void bindUserOverridesAsString(java.lang.Object bean,
                                                       java.lang.String uoas)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### bindUserOverridesToBean

          public static void bindUserOverridesToBean(java.lang.Object bean,
                                                     java.lang.String configName)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### bindNamedConfigToBean

          public static void bindNamedConfigToBean(java.lang.Object bean,
                                                   java.lang.String configName,
                                                   boolean shouldBindUserOverridesAsString)
                                            throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### initializeUserOverridesAsString

          public static java.lang.String initializeUserOverridesAsString()

    - #### initializeExtensions

          public static java.util.Map initializeExtensions()

    - #### initializeStringPropertyVar

          public static java.lang.String initializeStringPropertyVar(java.lang.String propKey,
                                                                     java.lang.String dflt)

    - #### initializeIntPropertyVar

          public static int initializeIntPropertyVar(java.lang.String propKey,
                                                     int dflt)

    - #### initializeBooleanPropertyVar

          public static boolean initializeBooleanPropertyVar(java.lang.String propKey,
                                                             boolean dflt)

    - #### getMultiPropertiesConfig

          public static com.mchange.v2.cfg.MultiPropertiesConfig getMultiPropertiesConfig()